SPAWNV(3)

NAME
spawnv() - calls a command with specified arguments

SYNOPSIS
int spawnv(Sin,Sout,Serr,ArgC,ArgV)
FILE *Sin, *Sout, *Serr;
int ArgC;
char *ArgV[];

DESCRIPTION
spawnv() causes the command, named in ArgV[0], to be called with the given arguments. Functionally this subroutine is the same as spawnl(), differing only in the form of the argument.

RETURNS
Returns 0 when successful. Otherwise, returns a non-zero value which could be:

an error code from fork() or fexecl(). the argument to exit() in the Command_name.

1,  if stopped by a control C (^C).

2,  if killed by another process.

4,  if suspended by any fault, raise, control Y ^Y or by another process. (In this case, spawnv() kills the suspended process.)

NOTES
none